Subject: Re: [PATCH] powerpc: console_initcall ordering issues

From: Arnd Bergmann <[email-masked]>
Date: Sat, 10 Jun 2006 14:53:34 +0200

Am Saturday 10 June 2006 14:16 schrieb Anton Blanchard:
> The add_preferred_console call in rtas_console.c was not causing the
> console to be selected. It turns out that the add_preferred_console
> was being called after the hvc_console driver was registered. It only
> works when it is called before the console driver is registered.

Great, thanks for nailing this one down. We've had multiple people trying
without success to figure out why it couldn't automatically find the console.

	Arnd <><